<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "partner_site_email_ads".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "PartnerSiteEmailAds".
 *
 * Columns in table "partner_site_email_ads" available as properties of the model,
 * followed by relations of table "partner_site_email_ads" available as properties of the model.
 *
 * @property integer $id
 * @property integer $partner_site_id
 * @property string $title
 * @property string $url
 * @property string $style
 * @property string $style_link
 * @property string $text
 * @property integer $active
 * @property integer $in_person_visit_template_id
 * @property integer $telemedicine_template_id
 * @property string $date_added
 * @property string $date_updated
 *
 * @property Template $inPersonVisitTemplate
 * @property Template $telemedicineTemplate
 */
abstract class BasePartnerSiteEmailAds extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'partner_site_email_ads';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'PartnerSiteEmailAds|PartnerSiteEmailAds', $n);
    }

    public static function representingColumn()
    {
        return 'title';
    }

    public function rules()
    {
        return array(
            array('partner_site_id, active, in_person_visit_template_id, telemedicine_template_id', 'numerical', 'integerOnly'=>true),
            array('title', 'length', 'max'=>255),
            array('url, style, style_link, text, date_added, date_updated', 'safe'),
            array('partner_site_id, title, url, style, style_link, text, active, in_person_visit_template_id, telemedicine_template_id, date_added, date_updated', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, partner_site_id, title, url, style, style_link, text, active, in_person_visit_template_id, telemedicine_template_id, date_added, date_updated', 'safe', 'on'=>'search'),
        );
    }

    public function relations()
    {
        return array(
            'inPersonVisitTemplate' => array(self::BELONGS_TO, 'Template', 'in_person_visit_template_id'),
            'telemedicineTemplate' => array(self::BELONGS_TO, 'Template', 'telemedicine_template_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'partner_site_id' => Yii::t('app', 'Partner Site'),
            'title' => Yii::t('app', 'Title'),
            'url' => Yii::t('app', 'Url'),
            'style' => Yii::t('app', 'Style'),
            'style_link' => Yii::t('app', 'Style Link'),
            'text' => Yii::t('app', 'Text'),
            'active' => Yii::t('app', 'Active'),
            'in_person_visit_template_id' => null,
            'telemedicine_template_id' => null,
            'date_added' => Yii::t('app', 'Date Added'),
            'date_updated' => Yii::t('app', 'Date Updated'),
            'inPersonVisitTemplate' => null,
            'telemedicineTemplate' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('partner_site_id', $this->partner_site_id);
        $criteria->compare('title', $this->title, true);
        $criteria->compare('url', $this->url, true);
        $criteria->compare('style', $this->style, true);
        $criteria->compare('style_link', $this->style_link, true);
        $criteria->compare('text', $this->text, true);
        $criteria->compare('active', $this->active);
        $criteria->compare('in_person_visit_template_id', $this->in_person_visit_template_id);
        $criteria->compare('telemedicine_template_id', $this->telemedicine_template_id);
        $criteria->compare('date_added', $this->date_added, true);
        $criteria->compare('date_updated', $this->date_updated, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }

}